Subject: [Gen-art] Gen-ART LC Review of draft-turner-additional-cms-ri-choices-03

From: Ben Campbell <[email-masked]>
Date: Fri, 16 Apr 2010 16:34:58 -0500

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-turner-additional-cms-ri-choices-03
Reviewer: Ben Campbell
Review Date: 2010-04-16
IETF LC End Date: 2010-04-19
IESG Telechat date: (if known)

Summary: Very close to ready for publication as a proposed standard. I have a couple of mainly editorial questions.

Note: This draft contains ASN.1 definitions. I did not attempt to validate them mechanically.

Major issues: None

Minor issues: None

Nits/editorial comments:

-- Section 1, last sentence: "However, there MAY be more 
   revocation status information than necessary or there MAY be less 
   revocation status information than necessary."

Are those really normative statements, or just observations?

-- section 4, last paragraph, and section 5, last paragraph:

You mention the combination of "Unprotected and [/or] authenticated" responses a few times in these sections. Is that really meant to be "authenticated" rather than "unauthenticated"?

-- Appendices
 
Appendix A.1 is described as normative. I have a mild concern about readers reading far enough to normative material in an appendix. Would it make sense to have text in the main body that references the appendix as containing normative material?